package com.unipi.talepis.protalandroid6;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.support.v4.content.LocalBroadcastManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    TextView textView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView=(TextView)findViewById(R.id.textView);
        LocalBroadcastManager.getInstance(this).registerReceiver(broadcastReceiver,
                new IntentFilter("MyServiceBroadcast"));
    }
    private BroadcastReceiver broadcastReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {
            String message = intent.getStringExtra("mykey");
            //do something with this message
            textView.setText(message);
        }
    };
    public void go(View view){
        new Thread(new Runnable() {
            int counter;
            @Override
            public void run() {
                for (int i=1;i<10;i++){
                    try {
                        Thread.sleep(1000);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                    runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        counter++;
                        textView.setText(String.valueOf(counter));
                    }
                });
            }
        }
        }).start();
    }
    public void goService(View view){
        startService(new Intent(this,MyService.class));
    }
    public void servicestop(View view){
        stopService(new Intent(this,MyService.class));
    }
    public void startin10sec(View view){
        Intent intent = new Intent(this,MyService.class);
        PendingIntent pendingIntent = PendingIntent.getService(this,123,intent,0);
        long alarmTime = System.currentTimeMillis()+10000;
        AlarmManager alarmManager =(AlarmManager)getSystemService(ALARM_SERVICE);
        alarmManager.set(AlarmManager.RTC_WAKEUP,alarmTime,pendingIntent);
    }
    public void goto2(View view){
        startActivity(new Intent(this,Main2Activity.class));
    }

    public void gomap(View view){
        startActivity(new Intent(this,MapsActivity.class));
    }
}
